Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.local
Class Pipe

    java.lang.Object
      org.jboss.messaging.core.ChannelSupport
          org.jboss.messaging.core.local.Pipe

All Implemented Interfaces:
  Channel, DeliveryObserver, Distributor, Receiver

Direct Known Subclasses:
  CoreSubscription

public class Pipe
extends ChannelSupport

Version:
  `$Revision: 1.14 $` $Id: Pipe.java,v 1.14 2006/06/27 19:44:40 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Field Summary

Fields inherited from class org.jboss.messaging.core.ChannelSupport
`channelID, mm, ms, pm, router, state`

Constructor Summary
`Pipe(long id, MessageStore ms, PersistenceManager pm, MemoryManager mm, boolean acceptReliableMessages, boolean recoverable, int fullSize, int pageSize, int downCacheSize)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.messaging.core.ChannelSupport
`acceptReliableMessages, acknowledge, add, browse, browse, cancel, clear, close, contains, deliver, deliver, deliver, getChannelID, getMessageStore, handle, isRecoverable, iterator, obtainReference, processMessageBeforeStorage, remove, removeAllMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pipe

    public Pipe(long id,
                MessageStore ms,
                PersistenceManager pm,
                MemoryManager mm,
                boolean acceptReliableMessages,
                boolean recoverable,
                int fullSize,
                int pageSize,
                int downCacheSize)

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.